<?php

/**
 * @package WP Business
 * @subpackage the-wp-business
 * Setup the WordPress core custom header feature.
 *
 * @uses the_wp_business_header_style()
 * @uses the_wp_business_admin_header_style()
 * @uses the_wp_business_admin_header_image()
*/

function the_wp_business_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'the_wp_business_custom_header_args', array(

		//'default-image'          => get_template_directory_uri().'/images/banner_bg.jpg',

		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1600,
		'height'                 => 400,
		'wp-head-callback'       => 'the_wp_business_header_style',
		'admin-head-callback'    => 'the_wp_business_admin_header_style',
		'admin-preview-callback' => 'the_wp_business_admin_header_image',

	) ) );

}

add_action( 'after_setup_theme', 'the_wp_business_custom_header_setup' );

if ( ! function_exists( 'the_wp_business_header_style' ) ) :

/**
 * Styles the header image and text displayed on the blog
 *
 * @see the_wp_business_custom_header_setup().
 */

function the_wp_business_header_style() {
	$header_text_color = get_header_textcolor();
	?>
	<style type="text/css">
	<?php
		//Check if user has defined any header image.
		if ( get_header_image() ) :
	?>
		#header{
			background: url(<?php echo esc_url(get_header_image()); ?>) no-repeat;
			background-position: center top;
		}
	<?php endif; ?>	
	</style>
	<?php
}

endif; // the_wp_business_header_style