<?php
/**
 * Template Name: Custom home page
 */

get_header(); ?>

<?php /** slider section **/ ?>
  <div class="slider-main">
    <?php
      // Get pages set in the customizer (if any)
      $pages = array();
      for ( $the_wp_business_count = 1; $the_wp_business_count <= 5; $the_wp_business_count++ ) {
        $mod = intval( get_theme_mod( 'the_wp_business_slidersettings-page-' . $the_wp_business_count ) );
        if ( 'page-none-selected' != $mod ) {
          $pages[] = $mod;
        }
      }
      if( !empty($pages) ) :
        $args = array(
          'posts_per_page' => 5,
          'post_type' => 'page',
          'post__in' => $pages,
          'orderby' => 'post__in'
        );
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) :
          $the_wp_business_count = 1;
          ?>
          <div id="slider" class="nivoSlider">
            <?php
              $the_wp_business_n = 0;
            while ( $query->have_posts() ) : $query->the_post();
                $the_wp_business_n++;
                $the_wp_business_slideno[] = $the_wp_business_n;
                $the_wp_business_slidetitle[] = esc_html(get_the_title());
                $the_wp_business_slidelink[] = esc_url( get_permalink() );
                ?>
                  <img src="<?php the_post_thumbnail_url('full'); ?>" title="#slidecaption<?php echo esc_attr( $the_wp_business_n ); ?>" />
                <?php
              $the_wp_business_count++;
            endwhile;
            wp_reset_postdata();
            ?>
          </div>
          <?php
          $the_wp_business_k = 0;
            foreach( $the_wp_business_slideno as $the_wp_business_sln ){ ?>
              <div id="slidecaption<?php echo absint( $the_wp_business_sln ); ?>" class="nivo-html-caption">
                <div class="slide-cap  ">
                  <div class="container">
                    <h2><?php echo esc_html( $the_wp_business_slidetitle[$the_wp_business_k] ); ?></h2>
                    <a class="read-more" href="<?php echo esc_url( $the_wp_business_slidelink[$the_wp_business_k] ); ?>"><?php esc_html_e( 'Learn More','the-wp-business' ); ?></a>
                  </div>
                </div>
              </div>
              <?php $the_wp_business_k++;
          }
        else : ?>
            <div class="header-no-slider"></div>
          <?php
        endif;
      else : ?>
          <div class="header-no-slider"></div>
      <?php
      endif; 
    ?>
  </div>

  <?php /** second section **/ ?>
  <section id="wethink">
    <div class="container">
      <?php
      $args = array( 'name' => get_theme_mod('the_wp_business_wethink_post_setting',''));
      $query = new WP_Query( $args );
      if ( $query->have_posts() ) :
        while ( $query->have_posts() ) : $query->the_post(); ?>
        <div class="row">
          <?php if(has_post_thumbnail()){ 
            $thumb_col = 'col-md-6 col-sm-6';
            $desc_col = 'col-md-6 col-sm-6';
            }else{
              $desc_col = 'col-md-12';
          } ?>
          <div class="<?php echo esc_attr($thumb_col); ?>">
            <img src="<?php the_post_thumbnail_url('full'); ?>"/>
          </div>
          <div class="<?php echo esc_attr($desc_col); ?>">
            <h3><?php the_title(); ?></h3>
            <p><?php the_content(); ?></p>              
            <div class="clearfix"></div>
            <div><a class="button"  href="<?php the_permalink(); ?>"><?php esc_html_e('More','the-wp-business'); ?></a>
            </div>
          </div>
        </div>
        <?php endwhile; 
        wp_reset_postdata();?>
        <?php else : ?>
           <div class="no-postfound"></div>
         <?php
        endif; ?>
        <div class="clearfix"></div>
    </div> 
  </section>
<?php do_action('the_wp_business_after_wethink_section'); ?>

<?php get_footer(); ?>